Documentation Index

Fetch the complete documentation index at: https://kb.solargis.com/llms.txt

Use this file to discover all available pages before exploring further.

Integration setup - get Time Series data

Prev Next
Get
/ts-integration/data-request/{requestId}

This endpoint returns sample location data for Time Series API subscriptions. Use it to explore the structure and content of the response before working with your live account.

Request type:

GET

URL:

https://api.solargis.com/ts-integration/data-request/{requestId}

Authorization:

Bearer {API token}

Body parameters:

N/A

Prerequisites

  • You must have an API token for your integration account.
  • You must have a requestId. See Integration setup – get the requestId for how to obtain one.

Things to know

  • Calls to integration API endpoints are free of charge.
  • If 1-minute data is included in the request, the request period must be at least 1 year.
  • You can test the endpoint directly in the API console on the right. See Using the API console for instructions.
Security
HTTP
Type bearer

Enter your Solargis TimeSeries Bearer token. Example: "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

Path parameters
requestId
stringRequired

Unique identifier returned by the data request POST endpoint.

ExampleBeHpHTBE8y
Responses
200

TimeSeries data retrieved

object
status
string

Current processing state of the data request.

Valid values[ "success", "error", "pending" ]
Examplesuccess
statusCode
string

Machine-readable Solargis status code for the request result.

Pattern^SG2-\d{5}$
ExampleSG2-20000
statusMessage
string

Human-readable message describing the request result.

ExampleRequest has been processed.
downloadUrl
string (uri)

Pre-signed URL to download the output data file.

Examplehttps://sg2-base-api-prod-apidatabucketa8a36...
401

Invalid authorization

object

Invalid authorization

error
string

Machine-readable error code indicating the authentication failure reason.

Exampletoken.invalid
500

Bad requestId

object
error
string

Machine-readable error code indicating the reason for the failure.

Exampleapi.data_request.not_found